Subject: Re: pull request: wireless-2.6 2010-06-16 v2

From: David Miller <[email-masked]>
Date: Wed, 16 Jun 2010 14:43:02 -0700 (PDT)

From: "John W. Linville" <[email-masked]>
Date: Wed, 16 Jun 2010 16:13:00 -0400

> On Wed, Jun 16, 2010 at 11:50:08AM -0700, David Miller wrote:
>> From: "John W. Linville" <[email-masked]>
>> Date: Wed, 16 Jun 2010 14:28:48 -0400
>> 
>> > Here is another passel of of fixes intended for 2.6.35.  Included are
>> > some build warning fixes, a PCI identifier, a fix for premature
>> > IRQs during hostap initialization, a fix for a warning caused by
>> > failing to cancel a scan watchdog in iwlwifi, a fix for a null
>> > pointer dereference in iwlwifi, and a fix for a race condition in
>> > the same driver.  Also included is the MAINTAINERS change for the
>> > orphaning of the older Intel wireless drivers.  All but the last few
>> > warning fixes have spent some time in linux-next already.
>> > 
>> > Please let me know if there are problems!
>> 
>> The patches removing unused function variables just to kill compile
>> warnings are not appropriate, _at_ _all_.  They don't fix any real
>> bug, and they definitely don't fix entries in the regression list do
>> they?
>> 
>> Kill all of those and resend this pull request.
> 
> Fair enough...I dropped the warning fixes for the unused variables.
> But I kept the ones related to uninitialized variables, since
> those seem potentially more dangerous to ignore.  Hopefully that
> is acceptable.
> 
> Please let me know if there are problems!

Pulled, thanks!